﻿﻿@model ContosoUniversity.ViewModels.QuanlyLichsuLienheViewModel

@using PagedList.Mvc;


@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}

@{
    List<ContosoUniversity.Models.User> lstUser = ViewBag.ListUser != null ? ViewBag.ListUser : new List<ContosoUniversity.Models.User>();
    List<SelectListItem> lstSelected = new List<SelectListItem>();
    for (int i = 0; i < lstUser.Count(); i++)
    {
        var selecteditem = new SelectListItem();
        selecteditem.Text = lstUser.ElementAt(i).UserName;
        selecteditem.Value = i.ToString();
        lstSelected.Add(selecteditem);
    }
    int stt = 1;
}

<h2>Xem danh sách</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>

<div class="table-responsive">
    <table class="table table_danhsach" id="table_suco">
        <thead>
            <tr>
                <th>
                    LichsulienheID
                </th>
                <th>
                    Ghi chú
                </th>
                <th>
                    LuotviphamID
                </th>

                <th>
                </th>
            </tr>
        </thead>
        <tbody>
            @for (int i = 0; i < Model.pagination.Count(); i++)

            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => Model.pagination[i].LichSuLienHeID)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.pagination[i].GhiChu)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.pagination[i].LuotViPhamID)
                    </td>

                    <td>

                        @*@Html.ActionLink(" ", "Edit", new { id = Model.pagination[i].Id }, new { @class = "fa-solid fa-pencil", @style = "color: #FFC107" })*@

                        @*@Html.ActionLink(" ", "ViewDanhsachThongsovanhanh", new { id = Model.pagination[i].Id }, new { @class = "fa-solid fa-eye", @style = "color: #428bca" })*@

                        @*@Html.DisplayFor(modelItem => Model.pagination[i].soluongmau)*@



                        @*@Html.ActionLink(" ", "ViewDanhsachThongsovanhanh", new { id = item.Id }, new { @class = "fa fa-info", @style = "color: #428bca" })*@

                    </td>
                </tr>
                stt++;
            }
        </tbody>
    </table>
</div>

<br />
<div class="row">
    <div class="col-sm-5" style="float:left;">
        @*Trang thứ @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) trong tổng số @Model.PageCount trang
        *@

        @(Model.pagination.TotalItemCount < 1 ? 0 : Model.pagination.FirstItemOnPage) - @Model.pagination.LastItemOnPage trong @Model.pagination.TotalItemCount dòng

    </div>

    <div class="col-sm-4" style="float:right;">
        @*Html.BeginForm run the HOME controller InvoiceList Action's GET method when form get submitted.*@

    </div>
</div>


@Html.PagedListPager(Model.pagination, page => Url.Action("Index", new { page, pageSize = ViewBag.psize, fromDate = ViewBag.fromDate, toDate = ViewBag.toDate, userCreate = ViewBag.userCreate }), new PagedListRenderOptions()
{
    DisplayLinkToFirstPage = PagedListDisplayMode.Always,
    DisplayLinkToPreviousPage = PagedListDisplayMode.Always,
    DisplayLinkToLastPage = PagedListDisplayMode.Always,
    DisplayLinkToNextPage = PagedListDisplayMode.Always,
    MaximumPageNumbersToDisplay = 5, // number of pages in line
    DisplayEllipsesWhenNotShowingAllPageNumbers = true
})

@*<div>   Tổng số mẻ là @ViewBag.total</div>*@<div></div>
@* COLLAPSE BUTTON BOOTSTRAP3.0 *@
